Bug 530642 - Bug in java.awt.geom.IllegalPathStateException
Bug in java.awt.geom.IllegalPathStateException
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Denis Lila
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-23 17:49 EDT by Susi Lehtola
Modified: 2011-01-19 16:09 EST (History)
4 users (show)

See Also:
Fixed In Version: java-1.6.0-openjdk-1.6.0.0-48.1.8.4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-30 09:36:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2009-10-23 17:49:47 EDT
Referring to the review of jaxodraw, bug #504405: the unit test fails with

   [junit] 
    [junit] Testcase: testGroupMarkedObjects(net.sf.jaxodraw.graph.JaxoGraphTest):	Caused an ERROR
    [junit] missing initial moveto in path definition
    [junit] java.awt.geom.IllegalPathStateException: missing initial moveto in path definition
    [junit] 	at java.awt.geom.Path2D$Float.needRoom(Path2D.java:280)
    [junit] 	at java.awt.geom.Path2D$Float.lineTo(Path2D.java:350)
    [junit] 	at sun.java2d.pisces.PiscesRenderingEngine$1.lineTo(PiscesRenderingEngine.java:99)
    [junit] 	at sun.java2d.pisces.Stroker.emitLineTo(Stroker.java:742)
    [junit] 	at sun.java2d.pisces.Stroker.finish(Stroker.java:705)
    [junit] 	at sun.java2d.pisces.Stroker.close(Stroker.java:592)
    [junit] 	at sun.java2d.pisces.PiscesRenderingEngine.pathTo(PiscesRenderingEngine.java:249)
    [junit] 	at sun.java2d.pisces.PiscesRenderingEngine.strokeTo(PiscesRenderingEngine.java:231)
    [junit] 	at sun.java2d.pisces.PiscesRenderingEngine.createStrokedShape(PiscesRenderingEngine.java:85)
    [junit] 	at java.awt.BasicStroke.createStrokedShape(BasicStroke.java:296)
    [junit] 	at net.sf.jaxodraw.object.loop.JaxoLoopObject.getBounds(JaxoLoopObject.java:79)
    [junit] 	at net.sf.jaxodraw.util.JaxoGeometry.getBounds(JaxoGeometry.java:148)
    [junit] 	at net.sf.jaxodraw.graph.JaxoGraph.groupMarkedObjects(JaxoGraph.java:715)
    [junit] 	at net.sf.jaxodraw.graph.JaxoGraphTest.testGroupMarkedObjects(JaxoGraphTest.java:466)
Comment 1 Bug Zapper 2009-11-16 09:08:51 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Denis Lila 2010-10-13 15:11:16 EDT
I was able to reproduce it. I didn't run the junit tests, but when the application is run, if one tries to draw the filled ovals or rectangles an exception is thrown on the first click on the canvas.

I have done some heavy refactoring of the rendering engine lately and it seems
that has fixed this bug. I am trying to push it into openjdk7. 
I will close this when it gets backported to 6.
Comment 4 Bug Zapper 2010-11-04 05:11:34 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora Update System 2011-01-18 11:17:20 EST
java-1.6.0-openjdk-1.6.0.0-48.1.8.4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-48.1.8.4.fc13
Comment 6 Fedora Update System 2011-01-18 11:25:51 EST
java-1.6.0-openjdk-1.6.0.0-50.1.9.4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-50.1.9.4.fc14
Comment 7 Fedora Update System 2011-01-18 11:27:29 EST
java-1.6.0-openjdk-1.6.0.0-48.1.8.4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-48.1.8.4.fc13
Comment 8 Fedora Update System 2011-01-19 16:05:44 EST
java-1.6.0-openjdk-1.6.0.0-50.1.9.4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2011-01-19 16:09:26 EST
java-1.6.0-openjdk-1.6.0.0-48.1.8.4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.